%define name    libspectrum
%define version 0.2.1
%define release 1mdk

%define libname %mklibname spectrum 2
%define libname_devel %mklibname -d spectrum 2
%define libname_static_devel %mklibname -s -d spectrum 2

Name: %{name}
Summary: A library to make the input and output of ZX Spectrum emulator files easier
Version: %{version}
Release: %{release}
License: GPL
URL: http://www.srcf.ucam.org/~pak21/spectrum/libspectrum.html
Source: http://www.srcf.ucam.org/~pak21/spectrum/%{name}-%{version}.tar.bz2
Group: System/Libraries
BuildRequires: libz-devel libgcrypt-devel libglib-devel perl
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
libspectrum is a fairly simple library designed to make the handling
of various ZX Spectrum emulator-related file formats easy.  So far it
handles .sna and .z80 snapshots (.sna read only), .tap and .tzx tape
images and .rzx input recording files.

%package -n %{libname}
Summary: A library to make the input and output of ZX Spectrum emulator files easier
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
libspectrum is a fairly simple library designed to make the handling
of various ZX Spectrum emulator-related file formats easy.  So far it
handles .sna and .z80 snapshots (.sna read only), .tap and .tzx tape
images and .rzx input recording files.

Using the libspectrum API requires to use the libspectrum library.

%package -n %{libname_devel}
Summary: Development files for programs which will use the libspectrum library.
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
This package contains the header files and documentation necessary for
development of programs that will use the libspectrum library.

You should install this package if you need to develop programs which will
use the libspectrum library functions. You'll also need to install the
libspectrum package.

%package -n %{libname_static_devel}
Summary: Static libraries for programs which will use the libspectrum library.
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-static-devel = %{version}-%{release}

%description -n %{libname_static_devel}
This package contains the static libraries, necessary for development of
programs that will use the libspectrum library.

You should install this package if you need to develop programs which will
use the libspectrum library functions. You'll also need to install the
libspectrum package.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog README THANKS COPYING AUTHORS
%{_libdir}/lib*.so.*

%files -n %{libname_devel}
%defattr(-,root,root)
%doc COPYING doc/libspectrum.txt
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_mandir}/man3/*

%files -n %{libname_static_devel}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.a

%changelog
* Wed Apr 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.1-1mdk
- 0.2.1

* Mon Dec 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.0.1-3mdk
- introduce in contrib

* Sat Nov 1 2003 Miguel Barrio Orsikowsky <mik@ingecivil.com> 0.2.0.1-2mdk
- made lots of fixes and cosmetic changes to the spec file

* Thu Sep 2 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.2.0.1-1mdk
- new version

* Sun Jul 27 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.1.1-4mdk
- fixed crashes when loading certain snapshots into +2A and +3
- fixed a small thinko in the RZX code which could cause segfaults

* Thu May 22 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.1.1-3mdk
- added BuildRequires

* Tue May 13 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.1.1-2mdk
- unified %%changelog

* Sun Apr 27 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.1.1-1mdk
- new version

* Thu Apr 24 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.1.0-1mdk
- first version of the package
- spec file written using Mandrake RPM HOWTO 1.1.1
